Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Delete variant

Removes a variant from its product. Requires admin scope.

DELETE/shops/{shop_id}/variants/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Scopes:admin
Path parameters
shop_idstringrequired

Shop ID or subdomain

idintegerrequired

Variant ID

Responses
204

Variant deleted

404

Resource not found

messagestring
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.onbolder.com/v1/shops/string/variants/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
Variant deleted

Was this page helpful?